org.bouncycastle.asn1.smime

## Class SMIMECapabilitiesAttribute

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.Attribute
    - - org.bouncycastle.asn1.smime.SMIMECapabilitiesAttribute

All Implemented Interfaces:
  DEREncodable

    public class SMIMECapabilitiesAttribute
    extends Attribute

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SMIMECapabilitiesAttribute(SMIMECapabilityVector capabilities)`

### Method Summary

### Methods inherited from class org.bouncycastle.asn1.cms.Attribute

`getAttrType, getAttrValues, getInstance, toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SMIMECapabilitiesAttribute

    public SMIMECapabilitiesAttribute(SMIMECapabilityVector capabilities)